## Niclas Schlapmann - Freelance 3D Technical Artist
## www.enoni.de
## hello@enoni.de
## ns_Version::ns_add_cam_slate_info
## 27.11.2021


import hou

sel = hou.selectedNodes()

if sel:
	if not sel[0].parm(sel[0].path() + "/vcomment"):
		slateParm = hou.StringParmTemplate("vcomment", "Camera Slate", 1)
		slateParm.setTags({"editor": "1"}) ## multi line string ##
		sel[0].addSpareParmTuple(slateParm, ('ns_Version',),create_missing_folders=True)
	sel[0].setParms({
		"vcomment": 
'''CAM: $OS
`floor(chs("focal"))`.`floor(frac(chs("focal"))*100)`mm @ `chs("resx")`x`chs("resy")`
DISTANCE: `floor(chs("focus"))`.`floor(frac(chs("focus"))*100)`
-----------------------------------------------
FRAME: $F
-----------------------------------------------
OPERATOR: $NS_OPERATOR
-----------------------------------------------
TASK: $NS_TASK || SHOT: $NS_SHOT
-----------------------------------------------
$HIPFILE
'''})